Subject: Re: [PATCH] pack-bitmap.c: typofix in `find_boundary_objects()`

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Nov 2024 11:29:17 +0900

Jeff King <[email-masked]> writes:

> There are also two curious cases added by f18b512bbb (bundle: create
> filtered bundles, 2022-03-09) that set tree/blob, but not "tag". Not
> sure if that is a bug or not.

I do not think it is a good idea to single out bundles, but I can
sort of see how it could be useful when making a partial clone that
does not have blobs. `git pack-objects --objects=tag,commit,tree`
might want to be driven when preparing pack data to populate such a
clone initially.  Unifying these three object flags into "all the
others" is tempting but would close the door for such a tweak.